class AddCollections < ActiveRecord::Migration[6.0]
  def self.up
    create_table :collections do |t|
      t.string :name
      t.string :alias
      t.string :slug

      t.timestamps
    end

    add_index :collections, :slug, :unique => true
  end

  def self.down
    drop_table :collections
  end
end
