class AddPages < ActiveRecord::Migration[6.0]
  def self.up
    create_table :pages do |t|
      t.string :title
      t.integer :number
      t.text :ocr
      t.string :href
      t.string :slug
      t.references :item, null: false, foreign_key: true

      t.timestamps
    end

    add_index :pages, :slug
  end

  def self.down
    drop_table :pages
  end
end
